Subject: bug#30194: closed (Re: [bug#30194] [PATCH 1/6] gnu: Add emacs-seq.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 24 Jan 2018 12:17:02 +0000

Your bug report

#30194: [PATCH 0/6] Emacs client for Slack.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30194: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30194
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#30194] [PATCH 1/6] gnu: Add emacs-seq.
From: Ricardo Wurmus <[email-masked]>
To: Nicolas Goaziou <[email-masked]>
Cc: [email-masked]
Date: Wed, 24 Jan 2018 13:16:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Nicolas,

>> +(define-public emacs-seq
>
> OOC, is there a need for this since it already ships with the Emacs Guix
> provides? I thought it was some backward compatibility library.

You are right.  I’ll drop it.

I’ll push my patches with a slight modification to emacs-emojify.

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net

Subject: [PATCH 0/6] Emacs client for Slack.
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Cc: Ricardo Wurmus <[email-masked]>
Date: Sun, 21 Jan 2018 18:14:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This series of patches adds emacs-slack, a client for the Slack chat service,
and its dependencies.

Ricardo Wurmus (6):
  gnu: Add emacs-seq.
  gnu: Add emacs-emojify.
  gnu: Add emacs-websocket.
  gnu: Add emacs-oauth2.
  gnu: Add emacs-circe.
  gnu: Add emacs-slack.

 gnu/packages/emacs.scm | 149 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 149 insertions(+)

-- 
2.15.0